# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:		backport-util-concurrent
Summary:	Backport of java.util.concurrent API, introduced in Java 5.0
Version:	3.1
Release:	%mkrel 7
URL:		http://backport-jsr166.sourceforge.net
License:	Public Domain
Group:		Development/Java
Source0:        http://downloads.sourceforge.net/backport-jsr166/%{name}-%{version}-src.tar.gz
Source1:	http://repo1.maven.org/maven2/backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.pom

BuildRequires:	jpackage-utils >= 0:1.7.2
BuildRequires:	javapackages-tools >= 0.7.0
BuildRequires:	java-devel
BuildRequires:	ant >= 0:1.6.5
BuildRequires:	junit
BuildArch:	noarch
Requires:	java
Requires:	jpackage-utils

%description
This package is the backport of java.util.concurrent API, introduced in
Java 5.0, to Java 1.4. The backport is based on public-domain sources
from the JSR 166 CVS repository, and the dl.util.concurrent package.

%package javadoc
Group:			Documentation
Summary:		Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}-src

find . -name '*.?ar' | xargs rm -f

build-jar-repository -s -p external \
		junit

%build
unset CLASSPATH
ant dist test

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 backport-util-concurrent-dist/%{name}.jar \
		$RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# pom
install -d -m 755 $RPM_BUILD_ROOT/%{_mavenpomdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr backport-util-concurrent-dist/doc/api/* \
		$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files -f .mfiles
%doc license.html
%doc README.html

%files javadoc
%doc license.html
%{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.1-7.mga3
+ Revision: 346826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 3.1-6.mga3
+ Revision: 324217
- Sync spec file with fedora

* Wed Jan 19 2011 dmorgan <dmorgan> 3.1-5.mga1
+ Revision: 24585
- Use %%mkrel
- imported package backport-util-concurrent

